Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Sat, 03 Jan 2009 11:13:31 +0100

>> you also create a (tool-bar-lines . 0) entry for _both_
 >> `initial-frame-alist' and `default-frame-alist'.  When you do
 >
 > Makes me wonder: why does it set it in initial-frame-alist since that
 > alist is always combined with default-frame-alist?

If you mean that `modify-all-frames-parameters' should not change
`initial-frame-alist' because the "right" value will be eventually found
when scanning `default-frame-alist', you're maybe right.  OTOH a user
may have set `initial-frame-alist' to contain a tool-bar-lines entry and
wants to explicitly turn off `tool-bar-mode' for the initial frame.
Consider Drew's example with "initial" replacing "default".

`default-frame-alist' and `initial-frame-alist' are a mess because these
are customizable variables that should not be affected by toggling minor
modes on and off.  I think it's only confusing to have (at least) three
.emacs ways to specify whether an initial frame should show a toolbar.

martin